Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.datatype
Class DatatypeConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.datatype.DatatypeConfigurationException

All Implemented Interfaces:
  Serializable

    public class DatatypeConfigurationException

extends Exception

Indicates a serious configuration error.

TODO: support all constructors

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`DatatypeConfigurationException()` Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.
`DatatypeConfigurationException(String message)` Create a new `DatatypeConfigurationException` with the specified detail message.
`DatatypeConfigurationException(String message, Throwable cause)` Create a new `DatatypeConfigurationException` with the specified detail message and cause.
`DatatypeConfigurationException(Throwable cause)` Create a new `DatatypeConfigurationException` with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatatypeConfigurationException

    public DatatypeConfigurationException()

  Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.

### DatatypeConfigurationException

    public DatatypeConfigurationException(String message)

  Create a new `DatatypeConfigurationException` with the specified detail message.

  Parameters:
    `message` - The detail message.

### DatatypeConfigurationException

    public DatatypeConfigurationException(String message,
                                          Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified detail message and cause.

  Parameters:
    `message` - The detail message.
    `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

### DatatypeConfigurationException

    public DatatypeConfigurationException(Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified cause.

  Parameters:
    `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.